{% load static %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<script type="application/javascript">
     $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').hide()
     $("label[for='{{ utils.checkbox_to_dropdown.hiden_field_id }}']").hide()
    $("#{{ utils.checkbox_to_dropdown.checkbox_id }}").click(function () {
            if ($(this).prop('checked')){
                $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').show()
                $("label[for='{{ utils.checkbox_to_dropdown.hiden_field_id }}']").show()
                $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').prop('required', true)
            } else {
                $("label[for='{{ utils.checkbox_to_dropdown.hiden_field_id }}']").hide()
                $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').prop('required', false)
                $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').hide()
                $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').val('')
            }
        })

    if ($("#{{ utils.checkbox_to_dropdown.checkbox_id }}").prop('checked')){
        $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').show()
                $("label[for='{{ utils.checkbox_to_dropdown.hiden_field_id }}']").show()
                $('#{{ utils.checkbox_to_dropdown.hiden_field_id }}').prop('required', true)
    }
    
</script>